#!/usr/bin/perl
###################################################################
###      File: /home/users2/schmid/src/TBProgs/KM/extract-oc-tags.perl
###    Author: Helmut Schmid                                    ###
###   Purpose:                                                  ###
###   Created: Wed Jul 27 14:25:36 2005                         ###
###  Modified: Tue Aug  2 10:26:48 2005 (schmid)                ###
### Copyright: Institut fuer maschinelle Sprachverarbeitung     ###
###               Universitaet Stuttgart                        ###
###################################################################


while (<>) {
  @F = split;
  for( $i=1; $i<$#F; $i+=2 ) {
    if ($F[$i+1] == 1 && $F[$i] =~ /^(\$|CD|FW|JJ|JJR|JJS|LS|NN|NNP|NNPS|NNS|RB|RBR|RBS|SYM|V[BDHV][DGNZ]?)/)
      {
	$count{$F[$i]}++;
	$sum++;
	if ($F[$i] =~ /^V[DHV][DGNZ]?/) {
	  $verbmapping = 1;
	}
      }
  }
}

if (defined $verbmapping) {
  foreach $t (sort keys %count) {
    if ($t =~ /^V[BDH]/) {
      $sum -= $count{$t};
      delete $count{$t};
    }
  }
}


foreach $t (sort keys %count) {
  printf "%s\t%f\n", $t, $count{$t}/$sum*100;
}
